"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _constants = require("../constants");

var _importResource = require("../import-resource");

const importClientImports = ({
  resolveConfig,
  isClient
}) => {
  if (!isClient) {
    throw new Error(`${_constants.message.clientAliasInServerCodeError}.clientImports`);
  }

  if (resolveConfig.clientImports == null) {
    throw new Error(`${_constants.message.configNotContainSectionError}.clientImports`);
  }

  const imports = [``];
  const constants = [``];
  const exports = [``, `const imports = {}`, ``];
  const importKeys = Object.keys(resolveConfig.clientImports);

  for (let index = 0; index < importKeys.length; index++) {
    const importKey = importKeys[index];
    const importValue = resolveConfig.clientImports[importKey];
    (0, _importResource.importResource)({
      resourceName: `import_${index}`,
      resourceValue: importValue,
      runtimeMode: _constants.RUNTIME_ENV_OPTIONS_ONLY,
      importMode: _constants.RESOURCE_ANY,
      instanceMode: _constants.IMPORT_CONSTRUCTOR,
      injectRuntimeOptions: true,
      imports,
      constants
    });
    exports.push(`imports[${JSON.stringify(importKey)}] =  import_${index}`);
  }

  exports.push(`export default imports`);
  return [...imports, ...constants, ...exports].join('\r\n');
};

var _default = importClientImports;
exports.default = _default;
//# sourceMappingURL=$resolve.clientImports.js.map