"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _constants = require("../constants");

var _importResource = require("../import-resource");

const importEventstoreAdapter = ({
  resolveConfig,
  isClient
}) => {
  if (isClient) {
    throw new Error(`${_constants.message.serverAliasInClientCodeError}$resolve.eventstoreAdapter`);
  }

  const imports = [`import '$resolve.guardOnlyServer'`];
  const constants = [];
  const exports = [];
  (0, _importResource.importResource)({
    resourceName: 'eventstoreAdapter',
    resourceValue: resolveConfig.eventstoreAdapter,
    runtimeMode: _constants.RUNTIME_ENV_ANYWHERE,
    importMode: _constants.RESOURCE_CONSTRUCTOR_ONLY,
    instanceMode: _constants.IMPORT_CONSTRUCTOR,
    imports,
    constants
  });
  exports.push('export default eventstoreAdapter');
  return [...imports, ...constants, ...exports].join('\r\n');
};

var _default = importEventstoreAdapter;
exports.default = _default;
//# sourceMappingURL=$resolve.eventstoreAdapter.js.map