"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _constants = require("../constants");

var _importResource = require("../import-resource");

const importUploadAdapter = ({
  resolveConfig,
  isClient
}) => {
  if (isClient) {
    throw new Error(`${_constants.message.serverAliasInClientCodeError}$resolve.seedClientEnvs`);
  }

  const imports = [`import '$resolve.guardOnlyServer'`];
  const constants = [];
  const exports = [`export default uploadAdapter`];

  if (resolveConfig.hasOwnProperty('uploadAdapter')) {
    if (resolveConfig.uploadAdapter.module == null) {
      resolveConfig.uploadAdapter.module = {
        package: '@resolve-js/runtime-base',
        import: 'emptyUploadAdapter'
      };
    }

    (0, _importResource.importResource)({
      resourceName: `uploadAdapter`,
      resourceValue: resolveConfig.uploadAdapter,
      runtimeMode: _constants.RUNTIME_ENV_ANYWHERE,
      importMode: _constants.RESOURCE_ANY,
      instanceMode: _constants.IMPORT_CONSTRUCTOR,
      imports,
      constants
    });
  } else {
    constants.push(`const uploadAdapter = null`);
  }

  return [...imports, ...constants, ...exports].join('\r\n');
};

var _default = importUploadAdapter;
exports.default = _default;
//# sourceMappingURL=$resolve.uploadAdapter.js.map