"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.processStopAll = exports.processRegister = void 0;

var _respawn = _interopRequireDefault(require("respawn"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const processes = [];

const processRegister = (command, opts) => {
  const process = (0, _respawn.default)(command, opts);
  processes.push(process);
  return process;
};

exports.processRegister = processRegister;

const processStopAllListener = code => {
  void code;
  const promises = [];

  for (const process of processes) {
    promises.push(new Promise(resolve => {
      if (process.stop) {
        process.stop(resolve);
      } else {
        resolve();
      }
    }));
  }

  processes.length = 0;
  return Promise.all(promises);
};

const processStopAll = error => {
  process.removeListener('exit', processStopAllListener);

  if (error != null) {
    // eslint-disable-next-line no-console
    console.error(error);
    if (process.exitCode === undefined || process.exitCode === 0) process.exitCode = 1;
  }

  return processStopAllListener();
};

exports.processStopAll = processStopAll;
process.on('exit', processStopAllListener);
//# sourceMappingURL=process_manager.js.map