"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _path = _interopRequireDefault(require("path"));

var _getLog = require("./get-log");

var _process_manager = require("./process_manager");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const log = (0, _getLog.getLog)('start');

const startMode = resolveConfig => new Promise(async (resolve, reject) => {
  log.debug('Starting "start" mode');

  const serverPath = _path.default.resolve(process.cwd(), _path.default.join(resolveConfig.distDir, './common/local-entry/local-entry.js'));

  const resolveLaunchId = Math.floor(Math.random() * 1000000000);
  const server = (0, _process_manager.processRegister)(['node', serverPath], {
    cwd: process.cwd(),
    maxRestarts: 0,
    kill: 5000,
    stdio: 'inherit',
    env: { ...process.env,
      RESOLVE_LAUNCH_ID: resolveLaunchId
    }
  });
  server.on('crash', reject);
  server.start();
  log.debug(`Server process pid: ${server.pid}`);
});

var _default = startMode;
exports.default = _default;
//# sourceMappingURL=start_mode.js.map